package integrationtests.testenvironments

import Settings
import io.mockk.every
import io.mockk.mockkObject

class KeycloakEnvironmentHelper {
    lateinit var authServerUrl: String

    fun setupSettings() {
        mockkObject(Settings)
        every { Settings.KEYCLOAK_CLIENT_SECRET } returns "secret"
        every { Settings.KEYCLOAK_BASE_URL } returns authServerUrl
        every { Settings.KEYCLOAK_PRIVATE_BASE_URL } returns authServerUrl
    }
}
