package integrationtests.testenvironments

import dasniko.testcontainers.keycloak.KeycloakContainer
import org.testcontainers.junit.jupiter.Container
import org.testcontainers.junit.jupiter.Testcontainers

@Testcontainers
object KeycloakIntegrationTestEnvironment {
    @Container
    val keycloakContainer: KeycloakContainer =
        KeycloakContainer("quay.io/keycloak/keycloak:22.0.4")
            .withRealmImportFile("/middleware/test-keycloak-realm.json")

    fun setup() {
        keycloakContainer.start()
    }
}
