package integrationtests

import integrationtests.testenvironments.KeycloakEnvironmentHelper
import integrationtests.testenvironments.KeycloakIntegrationTestEnvironment
import integrationtests.testfixtures.KeycloakIntegrationTestFixture
import main
import org.junit.jupiter.api.BeforeEach
import org.junit.jupiter.api.Tag
import org.junit.jupiter.api.Test
import org.junit.jupiter.api.extension.ExtendWith

@Tag("integrationTests")
@ExtendWith(KeycloakIntegrationTestFixture::class)
class MainKtIntegrationTest {
    protected var keycloakEnvHelper = KeycloakEnvironmentHelper()

    @BeforeEach
    fun beforeEach() {
        keycloakEnvHelper.authServerUrl = KeycloakIntegrationTestEnvironment.keycloakContainer.authServerUrl
        keycloakEnvHelper.setupSettings()
    }

    @Test
    fun testMain() {
        main()
    }
}
