package integrationtests.testfixtures

import integrationtests.testenvironments.KeycloakIntegrationTestEnvironment
import org.junit.jupiter.api.extension.BeforeAllCallback
import org.junit.jupiter.api.extension.ExtensionContext

class KeycloakIntegrationTestFixture : BeforeAllCallback {
    override fun beforeAll(context: ExtensionContext) {
        if (!KeycloakIntegrationTestEnvironment.keycloakContainer.isRunning()) {
            KeycloakIntegrationTestEnvironment.setup()
        }
    }
}
